import {
  ActionMapping,
  Parameter,
  Reducer,
  RestAPI,
} from '@overflow/commons/redux/decorators';

@Reducer()
@ActionMapping('@overflow/modules/member/MemberReducer')
export default class MemberReducer {
  private name: string;
  public constructor(@Parameter() name: string) {
    this.name = name;
  }

  /**
   * signin
   */
  @RestAPI('/account/signin')
  @ActionMapping('/signin')
  public signin(state: any, @Parameter() result: any, error: any): any {

    return state;
  }
}
